### Method

# Gck Attributes find_ulong

#### Declaration [src]

    gboolean
    gck_attributes_find_ulong (
      GckAttributes* attrs,
      gulong attr_type,
      gulong* value
    )

#### Description [src]

Find an attribute with the specified type in the array.

The attribute (if found) must be of the right size to store a unsigned long value (ie: CK_ULONG). If the attribute is marked invalid then it will be treated as not found.

#### Parameters

`attr_type` | `gulong`
| The type of attribute to find.
`value` | `gulong*`
| The resulting gulong value.
| The argument will be set by the function.

#### Return value

Returns: | `gboolean`
| Whether a value was found or not.